<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=gb2312">
    <title>团购-发起团购-{#YXShopRivetTag*网站名称#}-{#YXShopRivetTag*网站标题#}</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta content="{#YXShopRivetTag*网站关键字#}" name="keywords" />
        <meta content="{#YXShopRivetTag*网站描述#}" name="description" />
        <link href="{#YXShopRivetTag*网站虚拟路径#}favicon.ico" rel="shortcut icon" />
        <link href="{#YXShopRivetTag*网站虚拟路径#}templates/yxshop_template/green/css/yxshop_main.css" type="text/css" rel="stylesheet" />
        <link href="{#YXShopRivetTag*网站虚拟路径#}templates/yxshop_template/green/css/yxshop_head.css" type="text/css" rel="stylesheet" />
        <script src="{#YXShopRivetTag*网站虚拟路径#}scripts/prototype.js" type="text/javascript"></script>
        <style type="text/css">
          form{margin:0;padding:0;}
          .form0{ width:960px;}
          .form0 li{ list-style:none; list-style-position:inside; padding:0; margin:10px 0 0 0; width:100%}
		  .zs{width:980px}
          .form1 {width:98%; margin:20px 0 0 auto; height:auto; border-bottom:#D1E8A2 solid 1px; font-size:12px}
          .form4-1 { float:left; width:48%; text-align:left; padding-top:16px;}
          .form2-1 { float:left; width:90%; text-align:left; padding-top:18px;}
          .tj { float:left; width:90%; text-align:center;}
          .tj img { border:0;}
		  .form1 li{width:auto; margin-top:10px; float:left}
        </style>
        <script type="text/javascript" language="javascript">
        function onName()
        {
            if($("txtName").value=="")
		    {
		       $("spanName").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入真实姓名！";
		       $("spanName").style.color="#000000";
		       return false;
		    }
		    else if($("txtName").value.length<2||$("txtName").value.length>8)
		    {
		        $("spanName").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，输入的真实姓名字符必须在2至8个之间！";
		       $("spanName").style.color="#000000";
		       return false;
		    }
		    else
		    {
		        $("spanName").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		        return true;
		    }
        }
        function onTel()
        {   
            var reg=/^(\(\d{3,4}\)|\d{3,4}-|\s)?\d{7,14}$/;
            if($("txtTel").value=="")
		    {
		       $("spanTel").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入手机或者座机号码！";
		       $("spanTel").style.color="#000000";
		       return false;
		    }
		    else if(!reg.test($("txtTel").value))
		    {
		       $("spanTel").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;请输入正确的手机或者座机号码！";
		       $("spanTel").style.color="#000000";
		       return false;
		    }
		    else
		    {
		        $("spanTel").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		        return true;
		    }
        }
       function onIdcard()
       {  
          var reg=/\d{18}|\d{15}/;
          if($("txtidcard").value=="")
          {
             $("spancaredid").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入身份证！"
             $("spancaredid").style.color="#000000";
		       return false;
          }
          else if(!reg.test($("txtidcard").value))
          {
             $("spancaredid").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;请输入正确身份证号（15位/18位）！"
             $("spancaredid").style.color="#000000";
		       return false;
          }else
          {
             $("spancaredid").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		        return true;
          }
          
       }
        function onTitle()
        {
            if($("txtTitle").value=="")
		    {
		       $("spanTitle").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入活动标题！";
		       $("spanTitle").style.color="#000000";
		       return false;
		    }
		    else
		    {
		        $("spanTitle").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		        return true;
		    }
        }
        
        function onActivityTime()
        {   
            var reg=/^((((1[6-9]|[2-9]\d)\d{2})-(0?[13578]|1[02])-(0?[1-9]|[12]\d|3[01]))|(((1[6-9]|[2-9]\d)\d{2})-(0?[13456789]|1[012])-(0?[1-9]|[12]\d|30))|(((1[6-9]|[2-9]\d)\d{2})-0?2-(0?[1-9]|1\d|2[0-8]))|(((1[6-9]|[2-9]\d)(0[48]|[2468][048]|[13579][26])|((16|[2468][048]|[3579][26])00))-0?2-29-))(\s(20|21|22|23|[0-1]?\d):[0-5]?\d(:[0-5]?\d)?)?$/;
            
            if($("txtActivityTime").value=="")
		    {
		       $("spanActivityTime").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入活动集合时间！";
		       $("spanActivityTime").style.color="#000000";
		       return false;
		    }else if(!reg.test($("txtActivityTime").value))
		    {
		       $("spanActivityTime").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;请输入正确的时间格式！";
		       $("spanActivityTime").style.color="#000000";
		       return false;
		    }
		    else
		    {
		        $("spanActivityTime").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		        return true;
		    }
        }
        
        function onEndActivityTime()
        {   
            var reg=/^((((1[6-9]|[2-9]\d)\d{2})-(0?[13578]|1[02])-(0?[1-9]|[12]\d|3[01]))|(((1[6-9]|[2-9]\d)\d{2})-(0?[13456789]|1[012])-(0?[1-9]|[12]\d|30))|(((1[6-9]|[2-9]\d)\d{2})-0?2-(0?[1-9]|1\d|2[0-8]))|(((1[6-9]|[2-9]\d)(0[48]|[2468][048]|[13579][26])|((16|[2468][048]|[3579][26])00))-0?2-29-))(\s(20|21|22|23|[0-1]?\d):[0-5]?\d(:[0-5]?\d)?)?$/;
            
            if($("txtEndActivityTime").value=="")
		    {
		       $("spanEndActivityTime").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入活动截止时间！";
		       $("spanEndActivityTime").style.color="#000000";
		       return false;
		    }else if(!reg.test($("txtEndActivityTime").value))
		    {
		       $("spanEndActivityTime").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;请输入正确的时间格式！";
		       $("spanEndActivityTime").style.color="#000000";
		       return false;
		    }
		    else
		    {
		        $("spanEndActivityTime").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		        return true;
		    }
        }
        
        function onQQ()
        {   
            var reg=/^\s*[0-9]{5,11}\s*$/;
            if($("txtQQ").value=="")
		    {
		       $("spanQQ").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入联系QQ！";
		       $("spanQQ").style.color="#000000";
		       return false;
		    }else if(!reg.test($("txtQQ").value))
		    {
		       $("spanQQ").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;请输入正确的QQ号码！";
		       $("spanQQ").style.color="#000000";
		       return false;
		    }
		    else
		    {
		        $("spanQQ").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		        return true;
		    }
        }
        
        function onContent()
        {
            if($("txtContent").value=="")
		    {
		       $("spanContent").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入联系详细情况说明！";
		       $("spanContent").style.color="#000000";
		       return false;
		    }
		    else if($("txtContent").value.length>1000||$("txtContent").value.length<50)
		    {
		       $("spanContent").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，联系详细情况说明字符必须在50至1000个字符！";
		       $("spanContent").style.color="#000000";
		       return false;
		    }
		    else
		    {
		        $("spanContent").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		        return true;
		    }
        }
        
        function onSynopsis()
        {
            if($("txtSynopsis").value=="")
		    {
		       $("spanSynopsis").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入活动简介！";
		       $("spanSynopsis").style.color="#000000";
		       return false;
		    }
		    else if($("txtSynopsis").value.length>200||$("txtSynopsis").value.length<50)
		    {
		       $("spanSynopsis").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，活动简介字符必须在50至200个字符！";
		       $("spanSynopsis").style.color="#000000";
		       return false;
		    }
		    else
		    {
		        $("spanSynopsis").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		        return true;
		    }
        }
        
        
        function VaSendGroupBuyInfo()
        {
           if(!onName()) return false;
	       if(!onTel()) return false;
	       if(!onTitle()) return false;
	       if(!onActivityTime()) return false;       
	       if(!onQQ()) return false;
	       if(!onContent()) return false;
	       if(!onSynopsis()) return false;
	       if(!onIdcard()) return false;
	       return true;
        }
        </script>
    </head>
    <body xmlns="">
    {#YXShopDefinTag*网站头部#}
    <div id="gift" style="height:auto;">
    <ul class="pro-pl">
		<li>&nbsp;&nbsp;当前位置：<a href="{#YXShopRivetTag*网站虚拟路径#}default.aspx">首页</a> >> 发起团购 </li>
	</ul>
    <div id="gift-cen" style=" height:auto">
		<div id="gift-cen-cen" style="height:auto">
  <form id="form1" action="{#YXShopRivetTag*网站虚拟路径#}filehandle/product_sendgroupbuy_form.ashx" enctype="multipart/form-data" method="post" onsubmit="return VaSendGroupBuyInfo()">
        <div class="zs" style="height:auto">
            <ul class="form1">
            <li class="form2"><span style="color:#FF0000;">*</span>真实姓名：<input id="hfProductID" name="hfProductID" type="hidden" value="[#ProductID]" /></li>
            <li class="form3"><input id="txtName" name="txtName" type="text" onblur="onName()" /></li>
            <li class="form4"><span id="spanName" style="color:#666">请输入真实姓名。</span></li>
            </ul>
            <ul class="form1">
            <li class="form2"><span style="color:#FF0000;">*</span>联系电话：</li>
            <li class="form3"><input type="text"  id="txtTel" name="txtTel" onblur="onTel()"/></li>
            <li class="form4"><span id="spanTel" style="color:#666">请输入手机或者座机号码,可以包括区号.格式如:028-12345678</span></li>
            </ul>
            <ul class="form1">
            <li class="form2">身份证号：</li>
            <li class="form3"><input type="text"  id="txtidcard" name="txtidcard" onblur="onIdcard()"/></li>
            <li class="form4"><span id="spancaredid" style="color:#666">请输入15位或者18位身份证号码</span></li>
            </ul>
        </div>
        <div  class="zs" style="height:auto">
            <ul class="form1">
            <li class="form2"><span style="color:#FF0000;">*</span>活动标题：</li>
            <li class="form3"><input type="text"  id='txtTitle' name='txtTitle' onblur="onTitle()"/></li>
            <li class="form4"><span id="spanTitle" style="color:#666">为你的团购活动启一个好听的名字</span></li></ul>
           <ul class="form1">
            <li class="form2"><span style="color:#FF0000;">*</span>上传图片：</li>
            <li class="form3"><input  id='activitypic' name='activitypic' isnull="0" errinfoid="uppic" type="file"></li>
            <li class="form4"><label id="uppic" style="color:#666"></label></li>
            </ul>
            <ul class="form1">
            <li class="form2"><span style="color:#FF0000;"></span>所在地区：</li>
            <li class="form3"><input type="text"  id='txtAddress' name='txtAddress' isnull="1" errinfoid="re_area"/></li>
            <li class="form4"><span id="spanAddress" style="color:#666"></span></li>
            </ul>
             <ul class="form1">
            <li class="form2"><span style="color:#FF0000;">*</span>集合时间：</li>
            <li class="form3"><input type="text"  id='txtActivityTime' name='txtActivityTime' onblur="onActivityTime()"/></li>
            <li class="form4"><span id="spanActivityTime" style="color:#666">请输入集合时间，如（2008-08-08）</span></li>
            </ul>
             <ul class="form1">
            <li class="form2"><span style="color:#FF0000;">*</span>报名截止：</li>
            <li class="form3"><input type="text"  id='txtEndActivityTime' name='txtEndActivityTime' onblur="onEndActivityTime()"/></li>
            <li class="form4"><span id="spanEndActivityTime" style="color:#666"></span></li>
            </ul>
            <ul class="form1">
            <li class="form2"><span style="color:#FF0000;">*</span>联系QQ号：</li>
            <li class="form3"><input type="text"  id='txtQQ' name='txtQQ' onblur="onQQ()"/></li>
            <li class="form4"><span id="spanQQ" style="color:#666"></span></li>
            </ul>
            <ul class="form1">
            <li class="form2"><span style="color:#FF0000;">*</span>活动简介：</li>
            <li class="form3"><input type="text"  id='txtSynopsis' name='txtSynopsis' onblur="onSynopsis()"/></li>
            <li class="form4"><span id="spanSynopsis" style="color:#666"></span></li>
            </ul>
             <ul class="form1">
                <li class="form2"><span style="color:#FF0000;">*</span>详细情况说明：</li>
                <li class="form3"><textarea style="width:360px; height:150px"  id="txtContent" name="txtContent" onblur="onContent()"></textarea></li>
                <li class="form4"><span id="spanContent" style="color:#666"></span></li>
            </ul>
            <ul class="form1" style="border:none; text-align:center;">
                <li style="width:100%; text-align:center"><input type="submit" value="保存" ></li>
            </ul>

        </div>
    </form>
    </div>
    </div>
    </div>
           <br />
                                                       <div id="copyright">
    <ul>
        {#YXShopDefinTag*易想资讯#}
    </ul>
</div> 
                                                        {#YXShopRivetTag*网站底部#}
    </body>
    </html>


